### Virtual Method

# RB MediaPlayerSource delete_entries

#### Declaration [src]

    void
    delete_entries (
      RBMediaPlayerSource* source,
      GList* entries,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description

No description available.

#### Parameters

`entries`

  Type: A list of `RhythmDBEntry*`

  List of entries to delete.

  The instance takes ownership of the data, and is responsible for freeing it.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call on completion.

`data`

  Type: `gpointer`

  Data for callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.